Bug 665799 - Use Python auto-loading
Summary: Use Python auto-loading
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb-heap
Version: 29
Hardware: Unspecified
OS: Linux
low
low
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 651232 730976
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-27 04:58 UTC by Jan Kratochvil
Modified: 2019-02-13 23:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:33:07 UTC


Attachments (Terms of Use)
Remove glibc version dependency (8.41 KB, patch)
2015-02-19 16:20 UTC, Jan Kratochvil
no flags Details | Diff

Description Jan Kratochvil 2010-12-27 04:58:42 UTC
Description of problem:
Currently gdb-heap uses:
/usr/share/gdb/auto-load/lib64/ld-2.12.90.so-gdb.py*
But this file is reserved for glibc (although currently not used by it).
The new /etc/gdbinit.d/ should provide packaging-compliant way to hook gdb initializations for 3rd party packages.

Version-Release number of selected component (if applicable):
gdb-heap-0.5-1.fc14.x86_64
gdb-7.2.50.20101117-4.fc15 - introduces the /etc/gdbinit.d/ feature.

Additional info:
There is a problem, though:

gdb -q
(gdb) heap all
All chunks of memory on heap (both used and free)
-------------------------------------------------
Traceback (most recent call last):
  File "/usr/share/gdb-heap/heap/commands.py", line 34, in g
    return f(self, args, from_tty)
  File "/usr/share/gdb-heap/heap/commands.py", line 166, in invoke
    ms = get_ms()
  File "/usr/share/gdb-heap/heap/glibc.py", line 416, in get_ms
    val_main_arena = gdb.parse_and_eval('main_arena')
gdb.error: No symbol table is loaded.  Use the "file" command.
Error occurred in Python command: No symbol table is loaded.  Use the "file" command.

Could you check it in gdb-heap scripts?

This way it could for example work also for statically built binaries.

Comment 1 Jan Kratochvil 2010-12-27 05:00:22 UTC
The startup-hook script for gdb-heap currently must be called:
/etc/gdbinit.d/gdb-heap.py

Comment 2 Jan Kratochvil 2011-08-16 13:58:19 UTC
gdb-7.3-42.fc15 and gdb-7.3.50.20110722-6.fc16 upwards feature Python auto-loading by Phil:
http://sourceware.org/cgi-bin/cvsweb.cgi/src/gdb/doc/gdb.texinfo.diff?cvsroot=src&r1=1.851&r2=1.852

Comment 3 Fedora End Of Life 2013-04-03 18:32:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Fedora End Of Life 2015-01-09 16:29:41 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-02-17 13:33:07 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Jan Kratochvil 2015-02-19 16:20:00 UTC
Created attachment 993690 [details]
Remove glibc version dependency

This is breaking all glibc upgrades in the distro for almost 5 years.

Comment 7 Jan Kurik 2015-07-15 15:17:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 8 Fedora End Of Life 2016-11-24 10:29:02 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Jan Kratochvil 2016-11-24 21:16:35 UTC
gdb-heap-0.5-26.fc26.x86_64

Comment 10 Fedora End Of Life 2017-02-28 09:29:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 11 Fedora End Of Life 2018-05-03 09:10:00 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Jan Kratochvil 2018-05-03 09:23:08 UTC
# dnf install gdb-heap
Error:
 Problem: conflicting requests
  - nothing provides glibc(x86-64) = 2.26.90 needed by
gdb-heap-0.5-32.fc29.x86_64

Comment 13 Jan Kurik 2018-08-14 11:01:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.